Bug 116267 - up2date --showall fails with "dir" repos
Summary: up2date --showall fails with "dir" repos
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Fanny Augustin
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: up2date-rhel3-u2
TreeView+ depends on / blocked
 
Reported: 2004-02-19 16:22 UTC by Bob Gorman
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-26 23:57:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bob Gorman 2004-02-19 16:22:18 UTC
From Bugzilla Helper:
User-Agent: Opera/7.23 (Windows NT 5.0; U)  [en]

Description of problem:
Add a 'dir' entry to /etc/sysconfig/rhn/sources such as:

  dir rsi-rpms-rhel3r /rsi/rpms/rhel3r/

Run:

  up2date --showall

Get:

Traceback (most recent call last):
  File "/usr/sbin/up2date", line 1190, in ?
    sys.exit(main() or 0)
  File "/usr/sbin/up2date", line 601, in main
    printList(rhnPackageInfo.getAllAvailableAllArchPackageList(), 
cfg['showChannels'])
  File "rhnPackageInfo.py", line 263, in 
getAllAvailableAllArchPackageList
  File "rhnPackageInfo.py", line 202, in allAvailablePackageList
  File "rpcServer.py", line 112, in doCall
  File "repoDirector.py", line 23, in listAllPackages
  File "rpmSource.py", line 237, in listAllPackages
AttributeError: DirRepoSource instance has no attribute 
'listAllPackages'



Version-Release number of selected component (if applicable):
up2date-4.2.5-1

How reproducible:
Always

Steps to Reproduce:
1. Edit /etc/sysconfig/rhn/ and add a 'dir' entry.
2. Run up2date --showall
3.
    

Actual Results:  Traceback (most recent call last):
  File "/usr/sbin/up2date", line 1190, in ?
    sys.exit(main() or 0)
  File "/usr/sbin/up2date", line 601, in main
    printList(rhnPackageInfo.getAllAvailableAllArchPackageList(), 
cfg['showChannels'])
  File "rhnPackageInfo.py", line 263, in 
getAllAvailableAllArchPackageList
  File "rhnPackageInfo.py", line 202, in allAvailablePackageList
  File "rpcServer.py", line 112, in doCall
  File "repoDirector.py", line 23, in listAllPackages
  File "rpmSource.py", line 237, in listAllPackages
AttributeError: DirRepoSource instance has no attribute 
'listAllPackages'



Expected Results:  No errors.

Additional info:

This does not happen with up2date-4.1.16-1 under Fedora Core 1.

Comment 1 Adrian Likins 2004-04-05 23:43:18 UTC
fix is in cvs
4.2.9 or higher should have it when released.

Comment 2 Bob Gorman 2004-04-06 12:55:14 UTC
Where is the cvs tree?


Comment 3 Todd Warner 2004-08-26 23:57:35 UTC
Verfied fixed.


Note You need to log in before you can comment on or make changes to this bug.